﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication8.GridFeatures" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <br />
    <ej:Grid ID="FlatGrid" runat="server" ShowStackedHeader="true" AllowPaging="True"
        OnServerExcelExporting="FlatGrid_ServerExcelExporting">

        <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport"></ToolbarSettings>
        <Columns>
            <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
            <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
            <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
            <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" CssClass="e-stackhdr" />
            <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" CssClass="e-stackhdr" />
        </Columns>
        <StackedHeaderRows>
            <ej:StackedHeaderRow>
                <StackedHeaderColumns>
                    <ej:StackedHeaderColumn Column="OrderID,CustomerID,EmployeeID,Freight" HeaderText="Details of Orders" TextAlign="Center" CssClass="header-stack" />
                    <ej:StackedHeaderColumn Column="ShipCity,OrderDate" HeaderText="Details of ShipMent" TextAlign="Center" CssClass="header-stack" />
                </StackedHeaderColumns>
            </ej:StackedHeaderRow>
            <ej:StackedHeaderRow>
                <StackedHeaderColumns>
                    <ej:StackedHeaderColumn Column="OrderID,CustomerID,EmployeeID,Freight" HeaderText="Order Details" TextAlign="Center" CssClass="header-stack" />
                    <ej:StackedHeaderColumn Column="ShipCity" HeaderText="Ship City" CssClass="e-stackrow header-stack" />
                    <ej:StackedHeaderColumn Column="OrderDate" HeaderText="Order Date" CssClass="e-stackrow header-stack"  TextAlign="Right"/>
                </StackedHeaderColumns>
            </ej:StackedHeaderRow>
        </StackedHeaderRows>
        <ClientSideEvents DataBound="databound" />
    </ej:Grid>
    <style>
        th.e-stackhdr {
            display: none;
        }

        .header-stack{
            border-color:#bbbcbb;
            font-weight:normal;
            font-size:16px;
            font-family:Segoe UI;
            color : #fff3ed;
            background:#2382c3 !important;
        }
    </style>

    <script type="text/javascript">
        function databound(args) {
            var obj = $("#<%=FlatGrid.ClientID%>").ejGrid("instance");
          obj.getHeaderTable().find(".e-stackrow").attr("rowspan", 2);  //set rowspan - merging the stackedheader cells
      }
    </script>
</asp:Content>
